## org.hibernate.event.spi
Class LockEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.LockEvent

All Implemented Interfaces:
  Serializable

    public class LockEvent

extends AbstractEvent

Defines an event class for the locking of an entity.

See Also:
  Serialized Form

Constructor Summary
`LockEvent(Object object, LockMode lockMode, EventSource source)`
`LockEvent(Object object, LockOptions lockOptions, EventSource source)`
`LockEvent(String entityName, Object original, LockMode lockMode, EventSource source)`
`LockEvent(String entityName, Object original, LockOptions lockOptions, EventSource source)`

Method Summary
`String` `getEntityName()`
`LockMode` `getLockMode()`
`LockOptions` `getLockOptions()`
`boolean` `getLockScope()`
`int` `getLockTimeout()`
`Object` `getObject()`
`void` `setEntityName(String entityName)`
`void` `setLockMode(LockMode lockMode)`
`void` `setLockScope(boolean cascade)`
`void` `setLockTimeout(int timeout)`
`void` `setObject(Object object)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockEvent

    public LockEvent(String entityName,
                     Object original,
                     LockMode lockMode,
                     EventSource source)

### LockEvent

    public LockEvent(String entityName,
                     Object original,
                     LockOptions lockOptions,
                     EventSource source)

### LockEvent

    public LockEvent(Object object,
                     LockMode lockMode,
                     EventSource source)

### LockEvent

    public LockEvent(Object object,
                     LockOptions lockOptions,
                     EventSource source)

Method Detail

### getObject

    public Object getObject()

### setObject

    public void setObject(Object object)

### getLockOptions

    public LockOptions getLockOptions()

### getLockMode

    public LockMode getLockMode()

### setLockMode

    public void setLockMode(LockMode lockMode)

### setLockTimeout

    public void setLockTimeout(int timeout)

### getLockTimeout

    public int getLockTimeout()

### setLockScope

    public void setLockScope(boolean cascade)

### getLockScope

    public boolean getLockScope()

### getEntityName

    public String getEntityName()

### setEntityName

    public void setEntityName(String entityName)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.